rest_callback(3)

NAME
rest_callback - Like rest(), but calls the callback during the wait. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void rest_callback(long time, void (*callback)())

DESCRIPTION
Like rest(), but for non-zero values continually calls the specified function while it is waiting for the required time to elapse. If the provided `callback' parameter is NULL, this function does exactly the same thing as calling rest().

SEE ALSO
install_timer(3), rest(3)